@ECHO OFF

REM <<<<<<<<<< UPDATED 2020-2-13 (BGinfo, get 2021, fix tools link, remd extra desktop icons)  >>>>
REM <<<< See EOF for other update notes >>>>

ECHO .
ECHO .
echo This utility script was written by Conal Ryan for his Windows 7 clients only!
echo .
echo .
echo Please call 305-367-3200 if you have any questions.
echo .
echo .
echo Press CTRL + C to Quit,  otherwise . . .
echo .
echo .
ping -n 5 127.0.0.1 > nul
echo .
echo .

SET BITSNUM=UNKNOWN
SET WINVERS=WindowsXP

IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto bits64

:BITS32
SET BITSNUM=32
SET IEPATH="C:\Program Files\Internet Explorer\iexplore.exe"
GOTO DONEBITS

:BITS64
SET BITSNUM=64
SET IEPATH="C:\Program Files (x86)\Internet Explorer\iexplore.exe"
GOTO DONEBITS


:DONEBITS

ECHO .
echo .
echo WinVers is "%WINVERS%"
echo .
echo BitsNum is "%BITSNUM%"
 
ECHO .

IF EXIST "c:\conal\DriveID.txt" goto c-drive
echo .
echo Did you copy or move the conal folder to c?
echo .
ping -n 5 127.0.0.1 > nul
ECHO .
goto FAIL

REM ************* START C DRIVE ******************* 
:C-DRIVE
echo . 
echo Installer found in C-Conal
echo .   

ECHO .
ECHO ************* COPY  WALLPAPER *******************
copy c:\conal\*.bmp c:\windows

copy "C:\Conal\Installs\BackupXP.bat" "c:\BackupByConal.bat"
 
ECHO ************* MAKE START MENU *******************
ECHO .
MD "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020"
MD "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff"

copy c:\conal\367.txt "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\CONTACT INFO  conalryan@yahoo.com (305) 367-3200.txt"
copy c:\conal\WinXP.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\1. Run These Monthly.lnk"
copy c:\conal\TVQSJan2017.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\2. Conal's Remote Help (TeamViewer QuickSupport Jan2020).lnk"
copy c:\conal\ConalsHelpLocal.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\3. RUN Conal's Remote Rescue (Mar.2013).lnk"
copy c:\conal\remoteV.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\4. Get Conals Old Remote Rescue (305-367-3200).lnk"
rem *** copy c:\conal\delay.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\5. Get Conal's DELAYED Remote Rescue.lnk"
copy c:\conal\installs.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\6. Installs.lnk"
copy c:\conal\advcccom.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\7. Conal's Website - Advanced Computer Connections Inc.lnk"
copy c:\conal\advcccom "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\7. Conal's Website - Advanced Computer Connections Inc.lnk"
copy c:\conal\advcccom "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\7. Conal's Computer Rescue.url"
copy c:\conal\advcc2.url "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\7. Conals Website - Advanced Computer Connections Inc.url"
copy c:\conal\advcc3.lnk "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\7. Conal's Website (Advanced Computer Connections Inc).url"
copy c:\conal\installs\TVHostConal.url "%ALLUSERSPROFILE%\Start Menu\Programs\Conal's Tools 2020\Conal's Other Stuff\8. Get Conal's TeamViewer Host.url"

ECHO .
ECHO Start Menu Created . . .
ECHO .

ECHO ************* MAKE DESKTOP ICONS *******************
ECHO .
copy c:\conal\ConalTools32.lnk "%ALLUSERSPROFILE%\Desktop\Conal's Tools 2020.lnk"
rem *** copy c:\conal\GWXoff.lnk "%ALLUSERSPROFILE%\Desktop\GWX Disable (Win10 Upgrade Tray Icon).lnk"
copy c:\conal\inst-all.lnk "%ALLUSERSPROFILE%\Desktop\Auto Installer Script.lnk" 
rem *** copy c:\conal\DragLink.txt "%ALLUSERSPROFILE%\Desktop\drag link to taskbar or RC, Toolbar, New.txt"
rem *** copy c:\conal\ConalPhone.lnk "%ALLUSERSPROFILE%\Desktop\Conal (305) 367-3200.lnk" 
rem *** copy c:\conal\CT2020.lnk "%ALLUSERSPROFILE%\Conal's Toolkit 2020.lnk" 
copy c:\conal\BGinfo.lnk "%ALLUSERSPROFILE%\Desktop\BGinfo.lnk" 

ECHO .
ECHO Desktop Icons Created . . .
ECHO .

REM **** DO CLEANUP *******
:CLEANUP
echo .
echo Start Clean Up
echo .

RD /s /q "c:\conal\Run These Monthly (Vista)"
RD /s /q "c:\conal\Run These Monthly (Win7)"
c:
cd \conal
REN "Run These Monthly (WinXP)" "Run These Monthly"
DEL C:\conal\*.lnk
DEL C:\conal\*.reg
DEL C:\conal\*.bmp
REM ***** DEL c:\conal\installs\rogue*.bat
DEL c:\conal\installs\win7*.bat
REM ***** DEL c:\conal\installs\winxp*.bat
DEL c:\conal\installs\vista*.bat
REM ***** DEL c:\conal\clean-xp.bat
DEL c:\conal\cleanwin7vista.bat
echo .
echo .
echo (Remember it is OK to see errors during this script)
echo .
echo .
goto END

 
REM ************* FAIL *******************
:FAIL
ECHO .
ECHO .
ECHO Sorry - it did not work!
ECHO .
ECHO .
PAUSE 


REM ************* END ******************* 
:END 
ECHO .
ECHO Close any open installer folders NOW to delete from the desktop.
ECHO .
ECHO PAUSE for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .
  
rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2016, 2017, 2018  # # # # # # # # # # # # # # # #

rem ********** REMOVE DESKTOP FOLDER ******************

RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2021"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2021"
RD /s /q  "%Desktop%\ConalsHelp2021"


RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2020"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2020"
RD /s /q  "%Desktop%\ConalsHelp2020"


RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2019"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2019"
RD /s /q  "%Desktop%\ConalsHelp2019"

RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2018"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2018"
RD /s /q  "%Desktop%\ConalsHelp2018"

RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2017"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2017"
RD /s /q  "%Desktop%\ConalsHelp2017"

RD /s /q  "C:\Documents and Settings\All Users\Desktop\ConalsHelp2016"
RD /s /q  "C:\Documents and Settings\%username%\Desktop\ConalsHelp2016"
RD /s /q  "%Desktop%\ConalsHelp2016"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2021"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2021"
RD /s /q  "%Downloads%\ConalsHelp2021"

RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2020"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2020"
RD /s /q  "%Downloads%\ConalsHelp2020"

RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2019"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2019"
RD /s /q  "%Downloads%\ConalsHelp2019"

RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2018"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2018"
RD /s /q  "%Downloads%\ConalsHelp2018"

RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2017"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2017"
RD /s /q  "%Downloads%\ConalsHelp2017"

RD /s /q  "C:\Documents and Settings\All Users\Downloads\ConalsHelp2016"
RD /s /q  "C:\Documents and Settings\%username%\Downloads\ConalsHelp2016"
RD /s /q  "%Downloads%\ConalsHelp2016"


rem **************  REMOVE DESKTOP ZIP ************

DEL /q "C:\Documents and Settings\All Users\Desktop\ConalsHelp2020.zip"
DEL /q "C:\Documents and Settings\%username%\Desktop\ConalsHelp2020.zip"
DEL /q "%Desktop%\ConalsHelp2020.zip"

DEL /q "C:\Documents and Settings\All Users\Desktop\ConalsHelp2021.zip"
DEL /q "C:\Documents and Settings\%username%\Desktop\ConalsHelp2021.zip"
DEL /q "%Desktop%\ConalsHelp2021.zip"

DEL /q "C:\Documents and Settings\All Users\Desktop\ConalsHelp2019.zip"
DEL /q "C:\Documents and Settings\%username%\Desktop\ConalsHelp2019.zip"
DEL /q "%Desktop%\ConalsHelp2019.zip"

DEL /q "C:\Documents and Settings\All Users\Desktop\ConalsHelp2018.zip"
DEL /q "C:\Documents and Settings\%username%\Desktop\ConalsHelp2018.zip"
DEL /q "%Desktop%\ConalsHelp2018.zip"

DEL /q "C:\Documents and Settings\All Users\Desktop\ConalsHelp2017.zip"
DEL /q "C:\Documents and Settings\%username%\Desktop\ConalsHelp2017.zip"
DEL /q "%Desktop%\ConalsHelp2017.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2021.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2021.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2021.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2021.zip"
DEL /q "%Downloads%\ConalsHelp2021.zip"

DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2020.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2020.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2020.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2020.zip"
DEL /q "%Downloads%\ConalsHelp2020.zip"

DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2019.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2019.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2019.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2019.zip"
DEL /q "%Downloads%\ConalsHelp2019.zip"

DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2018.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2018.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2018.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2018.zip"
DEL /q "%Downloads%\ConalsHelp2018.zip"

DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2017.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2017.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2017.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2017.zip"
DEL /q "%Downloads%\ConalsHelp2017.zip"

DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2016.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2016.zip"
DEL /q "C:\Documents and Settings\All Users\Downloads\ConalsHelp2016.zip"
DEL /q "C:\Documents and Settings\%username%\Downloads\ConalsHelp2016.zip"
DEL /q "%Downloads%\ConalsHelp2016.zip"

rem ********** REMOVE OTHER POSSIBILITIES  ******************
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2018.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2018 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2018.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2018 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2017.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2017 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2017.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2017 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2021.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2021 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2021.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2021 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2020.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2020 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2020.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2020 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2014.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2014 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2014.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2014 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help2019.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conals Help 2019 (links).zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help2019.zip"
DEL  "C:\Documents and Settings\%username%\Downloads\Conal's Help 2019 (links).zip"


DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2018.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2018 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2018.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2018 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2017.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2017 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2017.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2017 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2021.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2021 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2021.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2021 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2020.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2020 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2020.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2020 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2014.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2014 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2014.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2014 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help2019.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conals Help 2019 (links).zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help2019.zip"
DEL  "C:\Documents and Settings\All Users\Downloads\Conal's Help 2019 (links).zip"


DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2018.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2018 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2018.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2018 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2017.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2017 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2017.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2017 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2021.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2021 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2021.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2021 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2020.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2020 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2020.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2020 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2014.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2014 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2014.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2014 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help2019.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conals Help 2019 (links).zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help2019.zip"
DEL  "C:\Documents and Settings\All Users\DESKTOP\Conal's Help 2019 (links).zip"


DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2018.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2018 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2018.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2018 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2017.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2017 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2017.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2017 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2021.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2021 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2021.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2021 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2020.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2020 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2020.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2020 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2014.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2014 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2014.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2014 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help2019.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conals Help 2019 (links).zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help2019.zip"
DEL  "C:\Documents and Settings\%username%\DESKTOP\Conal's Help 2019 (links).zip"

rem # # # # # # # #  DONE INSTALLER FOLDERS  # # # # # # # # # # # # # # # #

del c:\conal\4xp.bat
del c:\conal\vers.bat
del c:\conal\*.zip
del c:\conal\4vista.bat
del c:\conal\4win7.bat
del c:\conal\4win8.bat
del c:\conal\4win10.bat
echo.
echo Goodbye!
echo .
ping -n 3 127.0.0.1 > nul

echo . 
exit

REM <<<<<<<<<< UPDATED 2018-09-01 (update for 2018 and 2020, VNC-SC)  >>>>
