@ECHO OFF

REM <<<<<<<<<< UPDATED 2024.4.16 (TOOLS 2024)
REM <<<<<<<<<< UPDATED 2023.2.15 (Block Win11 Upgrade icon)
REM <<<<<<<<<< UPDATED 2023.1.17 (conals tools 2023, AD_Win2023 link)
REM <<<< See EOF for other update notes >>>>

ECHO .
ECHO .
echo This utility script was written by Conal Ryan for his Windows 10 clients only!
echo .
echo .
echo Please call 305-367-3200 if you have any questions.
echo .
echo .
echo Press CTRL + C to Quit,  otherwise . . .
echo .
echo .
ping -n 5 127.0.0.1 > nul
echo .
echo .

SET BITSNUM=UNKNOWN
SET WINVERS=Windows11

IF EXIST "%SYSTEMDRIVE%\Program Files (x86)" goto bits64

:BITS32
SET BITSNUM=32
SET EdgePATH="C:\Program Files\Microsoft\Edge\Application\msedge.exe"
GOTO DONEBITS

:BITS64
SET BITSNUM=64
SET EdgePATH="C:\Program Files (x86)\Microsoft\Edge\Application\msedge.exe"
GOTO DONEBITS


:DONEBITS

ECHO .
echo .
echo WinVers is "%WINVERS%"
echo .
echo BitsNum is "%BITSNUM%"
 
ECHO .

IF EXIST "c:\conal\DriveID.txt" goto c-drive
echo .
echo Did you copy or move the conal folder to c?
echo .
PAUSE
ECHO .
goto FAIL

REM ************* START C DRIVE ******************* 
:C-DRIVE
echo . 
echo Installer found in C-Conal
echo . 
echo . 
Echo You have Windows %WINVERS% %BITSNUM%bit
ECHO .
echo . 
ping -n 3 127.0.0.1 > nul
ECHO ************* COPY  WALLPAPER *******************
REM *** copy c:\conal\*.bmp C:\Windows\Web\Wallpaper

copy "C:\Conal\Installs\BackupWin11.bat" "c:\BackupByConal.bat"
c:
REM *** cd \conal
REM *** ren *.reg2 *.reg
REM *** ren c:\conal\BlockWin11.txt BlockWin11c.reg


ECHO ************* MAKE START MENU *******************
ECHO ************* MAKE START MENU *******************

copy c:\conal\ToolsStartMenu2023.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024.lnk"
rem *** MD "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024"
rem *** copy c:\conal\367.txt "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\1. CONTACT INFO  conalryan@yahoo.com (305) 367-3200.txt"
rem *** copy c:\conal\Run11.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\2. Run These Monthly.lnk"
rem *** copy c:\conal\AD_Win2023.LNK "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\3. Conal's Help AnyDesk 2024.LNK"
rem *** copy c:\conal\installs.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\4. Installs Folder.lnk"
rem *** copy c:\conal\TVHostConal.url "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\5. Get Conal's TeamViewer Host.url"
rem *** copy c:\conal\advcc2.url "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\6. Conals Website - Advanced Computer Connections Inc.url"
rem *** copy c:\conal\Help2023.url "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\7. Get Conal's Help 2024 (when released).url"
rem *** copy c:\conal\PrintReset.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\8. Print Spooler Reset.lnk"
REM *** copy c:\conal\afterinstalls.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\Installer IE Links.lnk"
REM *** copy c:\conal\TVQS12.lnk "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\2. Conal's Remote Help (TeamViewer QuickSupport v12).lnk"
REM *** copy c:\conal\AnyDeskQS.url "C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Conal's Tools 2024\3. GET AnyDesk QS (alternate remote control).url"

ECHO .
ECHO Start Menu Created . . .
ECHO .


ECHO ************* MAKE DESKTOP ICONS *******************

rem *** copy c:\conal\ToolsStartMenu2023.lnk "C:\Users\Public\Desktop\Conal's Tools Start Menu 2024.lnk"
rem *** copy c:\conal\ConalsTools2023.lnk "C:\Users\Public\Desktop\Conal's Tools 2024.lnk"
copy c:\conal\AutoInst10.lnk "C:\Users\Public\Desktop\Auto Installer Script.lnk" 
rem *** copy c:\conal\HPscan.lnk "C:\conal\HP Smart Scan.lnk"
REM *** copy c:\conal\HPscan.lnk "C:\Users\Public\Desktop\HP Smart Scan.lnk"
REM *** copy c:\conal\BlockWin11-LNK.lnk "C:\Users\Public\Desktop\Block Win11 Upgrade.lnk"

rem *** copy "c:\conal\BlockWin11b.lnk" "C:\Users\Public\Desktop\Block Win11b.lnk"
rem *** copy "c:\conal\BlockWin11.lnk" "C:\Users\Public\Desktop\Block Win11.lnk"
rem *** copy c:\conal\StopWin11.lnk "C:\Users\Public\Desktop\Stop Win11 Upgrade.lnk"
rem *** copy c:\conal\StopWin11b-reg.lnk "C:\Users\Public\Desktop\Stop Win11b-reg.lnk"
rem *** copy c:\conal\StopWin11b.lnk "C:\Users\Public\Desktop\Stop Win11b.lnk"
rem *** copy c:\conal\Run10.lnk "C:\Users\Public\Desktop\Conal's Run These Monthly.lnk"
rem *** 
copy c:\conal\Run10.lnk "C:\Users\Public\Desktop\Conal's Run These Monthly.lnk"
rem *** copy c:\conal\TVQS12.lnk "C:\Users\Public\Desktop\Conals Help (TeamViewer Quick Support v12).lnk"
rem *** copy c:\conal\AD082020.url "C:\Users\Public\Desktop\GET AnyDesk.url"
rem *** copy c:\conal\AnyDesk.lnk "C:\Users\Public\Desktop\Conals Help (AnyDesk QS Alternative).lnk"
rem *** copy c:\conal\DragLink.txt "C:\Users\Public\Desktop\drag link to taskbar or RC, Toolbar, New.txt"
rem *** copy c:\conal\ConalPhone.lnk "C:\Users\Public\Desktop\Conal (305) 367-3200.lnk" 
rem *** copy c:\conal\CT2021.lnk "C:\Users\Public\Desktop\Conal's Toolkit 2023.lnk" 
rem *** copy c:\conal\BGinfo.lnk "C:\Users\Public\Desktop\BGinfo.lnk" 

ECHO .
ECHO Desktop Icons Created . . .
ECHO .

goto cleanup

rem **************** DISABLE AERO ??? ****************
ECHO .
ECHO .
ECHO Done copying - do you want to disable SECURE DESKTOP?
ECHO .

:AERO
set INPUT=
set /P INPUT=Type y or n, then press ENTER: %=%
if "%INPUT%"=="" goto AERO
if "%INPUT%"=="y" goto DISABLE
if "%INPUT%"=="n" goto CLEANUP
if "%INPUT%"=="Y" goto DISABLE
if "%INPUT%"=="N" goto CLEANUP
goto AERO

rem **************** DISABLE AERO !!! ****************
:DISABLE
"C:\CONAL\DisableSecureDesktop.REG" 


REM ********* DO CLEANUP *********
:CLEANUP
echo .
echo Start Clean Up
echo .
ping -n 5 127.0.0.1 > nul
RD /s /q "c:\conal\Run These Monthly (WinXP)"
RD /s /q "c:\conal\Run These Monthly (Vista)"
RD /s /q "c:\conal\Run These Monthly (Win7)"
RD /s /q "c:\conal\Run These Monthly (Win8)"
REM *** leave one *** RD /s /q "c:\conal\Run These Monthly (Win10)"
c:
cd \conal
REN "Run These Monthly (Win10)" "Run These Monthly"
DEL C:\conal\*.lnk
rem *** DEL C:\CONAL\*.REG 
DEL C:\conal\*.bmp
DEL c:\conal\installs\rogue*.bat
DEL c:\conal\installs\win11*.bat
rem DEL c:\conal\installs\win10*.bat
DEL c:\conal\installs\win8*.bat
DEL c:\conal\installs\win7*.bat
DEL c:\conal\installs\winxp*.bat
DEL c:\conal\installs\vista*.bat
DEL c:\conal\clean-xp.bat
DEL c:\conal\cleanwin7vista.bat
REM ***** DEL c:\conal\cleanWin10.bat
echo .
echo .
echo (Remember it is OK to see errors during this script)
echo .
echo .
echo.
echo Quick Pause
echo .
ping -n 3 127.0.0.1 > nul

echo . 
goto END

REM ************* FAIL *******************
:FAIL
ECHO .
ECHO .
ECHO Sorry - it did not work!
ECHO .
ECHO .
PAUSE
exit

REM ************* END ******************* 
:END 
ECHO .
ECHO  (Remember - it is OK to see errors above)
ECHO .
ECHO .
ECHO Close any open installer folders NOW to delete from the desktop.
ECHO . 
ECHO PAUSE for 5 seconds
ECHO .
ping -n 5 127.0.0.1 > nul
ECHO .

rem # # # # # # # #  REMOVE INSTALLER FOLDERS # # # # # # # # # # # # # # # #

FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v Desktop^|FIND/I "desktop"') DO SET DesktopVAR=%%B
FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v {374DE290-123F-4565-9164-39C4925E467B}^|FIND/I "{374DE290-123F-4565-9164-39C4925E467B}"') DO SET DownloadsVAR=%%B
ECHO this PCs desktopFolder is located at %DesktopVAR%
ECHO this PCs DownloadsFolder is located at %DownloadsVAR%
ECHO .
ping -n 3 127.0.0.1 > nul
ECHO .

rem ********** REMOVE VAR FOLDERS ******************
RD /s /q  %DesktopVAR%\ConalsHelp2019
RD /s /q  %DesktopVAR%\ConalsHelp2020
RD /s /q  %DesktopVAR%\ConalsHelp2021
RD /s /q  %DesktopVAR%\ConalsHelp2022
RD /s /q  %DesktopVAR%\ConalsHelp2023
RD /s /q  %DesktopVAR%\ConalsHelp2024
RD /s /q  %DesktopVAR%\ConalsHelp2019.zip
RD /s /q  %DesktopVAR%\ConalsHelp2020.zip
RD /s /q  %DesktopVAR%\ConalsHelp2021.zip
RD /s /q  %DesktopVAR%\ConalsHelp2022.zip
RD /s /q  %DesktopVAR%\ConalsHelp2023.zip
RD /s /q  %DesktopVAR%\ConalsHelp2024.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2019
RD /s /q  %DownloadsVAR%\ConalsHelp2020
RD /s /q  %DownloadsVAR%\ConalsHelp2021
RD /s /q  %DownloadsVAR%\ConalsHelp2022
RD /s /q  %DownloadsVAR%\ConalsHelp2023
RD /s /q  %DownloadsVAR%\ConalsHelp2024
RD /s /q  %DownloadsVAR%\ConalsHelp2019.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2020.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2021.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2022.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2023.zip
RD /s /q  %DownloadsVAR%\ConalsHelp2024.zip

ECHO .
ECHO .
ECHO All installers should be gone now
ECHO .
ECHO .
ping -n 4 127.0.0.1 > nul
ECHO .
ECHO .


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2024 # # # # # # # # # # # # # # # #

rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2024"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2024"
RD /s /q  "%DesktopVAR%\ConalsHelp2024"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2024"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2024"
RD /s /q  "%DownloadsVAR%\ConalsHelp2024"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2024.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2024.zip"
DEL /q "%DesktopVAR%\ConalsHelp2024.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2024.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2024.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2024.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2022 # # # # # # # # # # # # # # # #

rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2022"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2022"
RD /s /q  "%DesktopVAR%\ConalsHelp2022"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2022"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2022"
RD /s /q  "%DownloadsVAR%\ConalsHelp2022"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2022.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2022.zip"
DEL /q "%DesktopVAR%\ConalsHelp2022.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2022.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2022.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2022.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2021 # # # # # # # # # # # # # # # #


rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2021"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2021"
RD /s /q  "%DesktopVAR%\ConalsHelp2021"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2021"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2021"
RD /s /q  "%DownloadsVAR%\ConalsHelp2021"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2021.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2021.zip"
DEL /q "%DesktopVAR%\ConalsHelp2021.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2021.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2021.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2021.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2020 # # # # # # # # # # # # # # # #

FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v Desktop^|FIND/I "desktop"') DO SET DesktopVAR=%%B
FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v {374DE290-123F-4565-9164-39C4925E467B}^|FIND/I "{374DE290-123F-4565-9164-39C4925E467B}"') DO SET DownloadsVAR=%%B
ECHO this PCs desktopFolder is located at %DesktopVAR%
ECHO this PCs DownloadsFolder is located at %DownloadsVAR%
ECHO .
ping -n 3 127.0.0.1 > nul
ECHO .

rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2020"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2020"
RD /s /q  "%DesktopVAR%\ConalsHelp2020"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2020"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2020"
RD /s /q  "%DownloadsVAR%\ConalsHelp2020"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2020.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2020.zip"
DEL /q "%DesktopVAR%\ConalsHelp2020.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2020.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2020.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2020.zip"

goto DoneFolders

rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2019 # # # # # # # # # # # # # # # #

FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v Desktop^|FIND/I "desktop"') DO SET DesktopVAR=%%B
FOR /F "tokens=2*" %%A IN ('REG QUERY "HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders" /v {374DE290-123F-4565-9164-39C4925E467B}^|FIND/I "{374DE290-123F-4565-9164-39C4925E467B}"') DO SET DownloadsVAR=%%B
ECHO this PCs desktopFolder is located at %DesktopVAR%
ECHO this PCs DownloadsFolder is located at %DownloadsVAR%
ECHO .
ping -n 3 127.0.0.1 > nul
ECHO .

rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2019"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2019"
RD /s /q  "%DesktopVAR%\ConalsHelp2019"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2019"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2019"
RD /s /q  "%DownloadsVAR%\ConalsHelp2019"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2019.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2019.zip"
DEL /q "%DesktopVAR%\ConalsHelp2019.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2019.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2019.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2019.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2018 # # # # # # # # # # # # # # # #

rem ********** REMOVE DESKTOP FOLDER ******************
RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2018"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2018"
RD /s /q  "%DesktopVAR%\ConalsHelp2018"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2018"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2018"
RD /s /q  "%DownloadsVAR%\ConalsHelp2018"

rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2018.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2018.zip"
DEL /q "%DesktopVAR%\ConalsHelp2018.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2018.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2018.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2018.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2017 # # # # # # # # # # # # # # # #

rem ********** REMOVE DESKTOP FOLDER ******************

RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2017"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2017"
RD /s /q  "%DesktopVAR%\ConalsHelp2017"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2017"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2017"
RD /s /q  "%DownloadsVAR%\ConalsHelp2017"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2017.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2017.zip"
DEL /q "%DesktopVAR%\ConalsHelp2017.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2017.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2017.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2017.zip"


rem # # # # # # # #  REMOVE INSTALLER FOLDERS 2016 # # # # # # # # # # # # # # # #



rem ********** REMOVE DESKTOP FOLDER ******************

RD /s /q  "C:\Users\Public\Desktop\ConalsHelp2016"
RD /s /q  "C:\Users\%username%\Desktop\ConalsHelp2016"
RD /s /q  "%DesktopVAR%\ConalsHelp2016"

rem ********** REMOVE DOWNLOAD FOLDER ******************
RD /s /q  "C:\Users\Public\Downloads\ConalsHelp2016"
RD /s /q  "C:\Users\%username%\Downloads\ConalsHelp2016"
RD /s /q  "%DownloadsVAR%\ConalsHelp2016"


rem **************  REMOVE DESKTOP ZIP ************
DEL /q "C:\Users\Public\Desktop\ConalsHelp2016.zip"
DEL /q "C:\Users\%username%\Desktop\ConalsHelp2016.zip"
DEL /q "%DesktopVAR%\ConalsHelp2016.zip"

rem ********** REMOVE DOWNLOAD ZIP ******************
DEL /q "C:\Users\Public\Downloads\ConalsHelp2016.zip"
DEL /q "C:\Users\%username%\Downloads\ConalsHelp2016.zip"
DEL /q "%DownloadsVAR%\ConalsHelp2016.zip"


rem # # # # # # # #  REMOVE OTHER POSSIBILITIES  # # # # # # # # # # # # # # # #

DEL  "C:\Users\%username%\Downloads\Conal's Help2024.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2024 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2024.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2024 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2023.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2023 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2023.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2023 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2022.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2022 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2022.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2022 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2021.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2021 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2021.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2021 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2020.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2020 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2020.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2020 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2019.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2019 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2019.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2019 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2018.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2018 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2018.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2018 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2016.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2016 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2016.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2016 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2015.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2015 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2015.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2015 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2014.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2014 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2014.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2014 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conals Help2013.zip"
DEL  "C:\Users\%username%\Downloads\Conals Help 2013 (links).zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help2013.zip"
DEL  "C:\Users\%username%\Downloads\Conal's Help 2013 (links).zip"

DEL  "C:\Users\PUBLIC\Downloads\Conals Help2024.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2024 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2024.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2024 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2023.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2023 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2023.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2023 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2022.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2022 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2022.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2022 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2021.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2021 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2021.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2021 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2020.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2020 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2020.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2020 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2019.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2019 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2019.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2019 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2018.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2018 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2018.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2018 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2016.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2016 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2016.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2016 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2015.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2015 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2015.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2015 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2014.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2014 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2014.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2014 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help2013.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conals Help 2013 (links).zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help2013.zip"
DEL  "C:\Users\PUBLIC\Downloads\Conal's Help 2013 (links).zip"

DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2024.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2024 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2024.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2024 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2023.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2023 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2023.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2023 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2022.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2022 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2022.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2022 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2021.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2021 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2021.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2021 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2020.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2020 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2020.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2020 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2019.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2019 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2019.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2019 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2018.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2018 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2018.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2018 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2016.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2016 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2016.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2016 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2015.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2015 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2015.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2015 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2014.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2014 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2014.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2014 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help2013.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conals Help 2013 (links).zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help2013.zip"
DEL  "C:\Users\PUBLIC\DESKTOP\Conal's Help 2013 (links).zip"

DEL  "C:\Users\%username%\DESKTOP\Conals Help2024.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2024 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2024.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2024 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2023.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2023 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2023.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2023 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2022.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2022 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2022.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2022 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2021.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2021 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2021.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2021 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2020.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2020 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2020.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2020 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2019.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2019 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2019.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2019 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2018.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2018 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2018.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2018 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2016.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2016 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2016.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2016 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2015.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2015 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2015.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2015 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2014.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2014 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2014.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2014 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help2013.zip"
DEL  "C:\Users\%username%\DESKTOP\Conals Help 2013 (links).zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help2013.zip"
DEL  "C:\Users\%username%\DESKTOP\Conal's Help 2013 (links).zip"


rem # # # # # # # #  DONE INSTALLER FOLDERS  # # # # # # # # # # # # # # # #

:DoneFolders

del c:\conal\4xp.bat
del c:\conal\vers.bat
del c:\conal\*.zip
del c:\conal\4vista.bat
del c:\conal\4win7.bat
del c:\conal\4win8.bat
del c:\conal\4win10.bat
del c:\conal\4win11.bat
echo.
echo Goodbye!
echo .
ping -n 3 127.0.0.1 > nul

echo . 
exit

REM <<<<<<<<<< UPDATED 2021.9.24 (TVQS12)
REM <<<<<<<<<< UPDATED 2021.5.21 (2021 links, )
REM <<<<<<<<<< UPDATED 2020.7.29 (remove BGinfo, ADeskQS download)
REM <<<<<<<<<< UPDATED 2020.6.12 (Print Spooler Reset Icon)
REM <<<<<<<<<< UPDATED 2020.6.8 (AnyDesk icon desktop & Start menu)
REM <<<<<<<<<< UPDATED 2020-2-13 (BGinfo, get 2021, fix tools link, remd extra desktop icons)  >>>>
REM <<<<<<<<<< UPDATED 2019-12-30 (update 2020 Tools desktop icon)  >>>>
REM <<<<<<<<<< UPDATED 2019-09-01 (update for 2019 and 2019, VNC-SC)  >>>>
REM <<<<<<<<<< UPDATED 2017-07-21 (smaller TVQS v9)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2017-04-29 (get help2019, move get host from installs)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2017-01-25 (AFTER Installer IE Links, remove other stuff, monthly on desktop)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2017-01-04 (Conals Tools 2017 64 or 32, TVQS2017, Host2017url, 367txt, )  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2016-11-26 (2017, DownloadsVAR)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2015-12.12 (367.txt, TVQS incl, java866)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2015-11-24 (GWX, 2016)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2015-9-23 (2015, Win10)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2014-6-16 (ConalsHelp2014)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED 2014-4-23 (2014, TVhost icon, clean downloads)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED FEB.22.2014 (Win8, BITSNUM, )  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED Nov.13.2013 (CCR website, Other Stuff start menu, in order)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED MAR.5.2013 (WIN8, 2013, RunMonthlyONLY, rename monthly, /q)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED Sept.15.2012 (current & delayed help)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED Jan.2.2012 (2012 labels)  >>>>>>>>>>>>>>>
REM <<<<<<<<<< UPDATED April.17.2011 (added TVQS, Tools, remover)  >>>>>>>>>>>>>>>